Show connecting  waiting  loading status messages in small overlay on top of content at bottom of screen
The status bar was removed, and there is a concern that the browser feels slower for that removal since messages about page load status were removed with it. This bug is about restoring those messages (as they appeared in Firefox  to Firefox  Let's not scope creep - please file additional bugs for: returning link hover messages to this spot, calling this new widget the "status bar" and returning the menuItem in the View Menu for it, etc.

Design

Like seen in Chrome, provide a grey-background, rounded-corner overlay on top of content anchored to the bottom-right (or bottom-left in RTL locales) of the screen in which the page load status messages will appear. This overlay should disappear when the page is done loading. It's fine if this obscures content while messages exist, and even if the mouse cursor falls on top of or beneath it.

Implementation Notes

After talking to various engineers, I suspect the safest and easiest way to implement this would be a new XUL window in the browser <deck>, though some felt that a new top-level window would be required. If we create a top-level window, we need to make sure it doesn't have an impact on a11y or mouse drivers and other programs which index our window heirarchy - see bug  for some of the issues that we've encountered when messing with that sort of thing.
